Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AuthenticationCodeTypeMissedCall

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AuthenticationCodeType
it.tdlight.jni.TdApi.AuthenticationCodeTypeMissedCall

Enclosing class:
  TdApi

public static final class TdApi.AuthenticationCodeTypeMissedCall extends TdApi.AuthenticationCodeType
An authentication code is delivered by an immediately canceled call to the specified phone number. The last digits of the phone number that calls are the code that must be entered manually by the user.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`length`
Number of digits in the code, excluding the prefix.
`String`
`phoneNumberPrefix`
Prefix of the phone number from which the call will be made.

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationCodeTypeMissedCall()`
An authentication code is delivered by an immediately canceled call to the specified phone number.
`AuthenticationCodeTypeMissedCall(DataInput input)`
An authentication code is delivered by an immediately canceled call to the specified phone number.
`AuthenticationCodeTypeMissedCall(String phoneNumberPrefix, int length)`
An authentication code is delivered by an immediately canceled call to the specified phone number.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### phoneNumberPrefix

public String phoneNumberPrefix
Prefix of the phone number from which the call will be made.

### length

public int length
Number of digits in the code, excluding the prefix.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### AuthenticationCodeTypeMissedCall

public AuthenticationCodeTypeMissedCall()
An authentication code is delivered by an immediately canceled call to the specified phone number. The last digits of the phone number that calls are the code that must be entered manually by the user.

### AuthenticationCodeTypeMissedCall

public AuthenticationCodeTypeMissedCall(String phoneNumberPrefix, int length)
An authentication code is delivered by an immediately canceled call to the specified phone number. The last digits of the phone number that calls are the code that must be entered manually by the user.

Parameters:
  `phoneNumberPrefix` - Prefix of the phone number from which the call will be made.
  `length` - Number of digits in the code, excluding the prefix.

### AuthenticationCodeTypeMissedCall

public AuthenticationCodeTypeMissedCall(DataInput input) throws IOException
An authentication code is delivered by an immediately canceled call to the specified phone number. The last digits of the phone number that calls are the code that must be entered manually by the user.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`